gnutls_pubkey_verify_params(3)

NAME
gnutls_pubkey_verify_params - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_verify_params(gnutls_pubkey_t key);

ARGUMENTS

gnutls_pubkey_t key
    should contain a gnutls_pubkey_t structure

DESCRIPTION
This function will verify the private key parameters.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/